| Earth Observation Mission CFI Software Lib Software User Manual for JAVA |

Public Member Functions

# EECFI.ModelId Class Reference

Base class for ModelId objects. More...

Inheritance diagram for EECFI.ModelId:

List of all members.

## Public Member Functions
| ModelId () throws CfiError
| Class constructor (default models).
| ModelId (long mode, final Vector< Long > models) throws CfiError
| Class constructor with models.
native void | init (long mode, final Vector< Long > models) throws CfiError
| Init model id.
native ModelData | getData ()
| Get model data.
native long | status ()
| Overwrite method of CfiId, since some additional check is performed.
void | close () throws CfiError
| Release all resources managed by this object.

## Detailed Description

Base class for ModelId objects.

## Constructor & Destructor Documentation

EECFI.ModelId.ModelId | ( |  | ) | throws CfiError

Class constructor (default models).

EECFI.ModelId::ModelId | ( | long | mode,
|  | final Vector< Long > | models |
| ) |  |  | throws CfiError

Class constructor with models.

Parameters:

  | mode | Initialization mode (ModelSetsEnum).
  | models | Initalization models.

## Member Function Documentation

void EECFI.ModelId.close | ( |  | ) | throws CfiError

Release all resources managed by this object.

IMPORTANT: The life time of the EOCFI Java objects must be explicitly managed by the program work flow. Failure to perform this release will lead to resource leakage and might have a significant impact in performance.

ModelData EECFI.ModelId::getData | ( |  | ) |

Get model data.

Returns:
  Model data.

void EECFI.ModelId::init | ( | long | mode,
|  | final Vector< Long > | models |
| ) |  |  | throws CfiError

Init model id.

Parameters:

  | mode | Initialization mode (ModelSetsEnum).
  | models | Initalization models.

boolean EECFI.ModelId::status | ( |  | ) |

Overwrite method of CfiId, since some additional check is performed.

Returns:
  Status of object.

Reimplemented from EECFI.CfiId.